SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[LP_ANSTALLNING] (
	[Avdelningsnummer] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Pensionsorganisation] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anst_borjade] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anst_slutade] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackanslutningsdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Yrkesnummer] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Klass] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Lonegrupp] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackforbund] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackforbund_avd] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackforbundsavg_proc] [real] NULL ,
	[Fackforbundsavg_mk] [real] NULL ,
	[Manadslon] [real] NULL ,
	[Manadslon_timkonst] [real] NULL ,
	[Naturaforman] [real] NULL ,
	[Arbetsplatsens_nr] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[APL_proc_LEL] [real] NULL ,
	[Sommar_proc] [real] NULL ,
	[Vinter_proc] [real] NULL ,
	[Arbetsnamn_KAPL] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semestermultiplik] [real] NULL ,
	[Semesterjustering_ny] [real] NULL ,
	[Periodens_skattedgr] [int] NULL ,
	[Persnr] [int] NULL ,
	[Anstnr] [int] NULL ,
	[Slutorsak] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Erftill_antal] [int] NULL ,
	[Semesterlonetyp] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Erftill_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Erftill_belopp] [real] NULL ,
	[Arstill_antal] [int] NULL ,
	[Arstill_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Arstill_belopp] [real] NULL ,
	[Perstill_antal] [int] NULL ,
	[Perstill_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Perstill_belopp] [real] NULL ,
	[Kontonummer] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Personalgrupp] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Deltidsprocent] [real] NULL ,
	[Prestationsslag] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Dyrortsklass] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattekortsnr] [int] NULL ,
	[Skatteberakningstyp] [int] NULL ,
	[Anstallningstyp] [int] NULL ,
	[Avslutad] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Befattning] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Start_inhopp] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Slut_inhopp] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Projekt] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPL_Kod] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPL_Art] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPL_System] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPL_Karaktar] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPL_Gemensam] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPL_Deltid] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Veckoarbetstid] [real] NULL ,
	[Semestergrupp] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Auto_semester] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Primar] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ort] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Bruttolon] [float] NULL ,
	[Lonetyp] [smallint] NULL ,
	[Fordelning_aktiv] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SSAGrund] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[ArblosGrund] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Olycksfallskod] [char] (6) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Pension_start] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Pension_startanmald] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Pension_slutanmald] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Aktiv] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Manadslon_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semester_betald] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semester_betald_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Veckoarbetstid_verklig] [float] NULL ,
	[Fortjansttecken_antal] [smallint] NULL ,
	[Fortjansttecken_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fortjansttecken_Belopp] [float] NULL ,
	[Lonetabell] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Tabellon] [float] NULL ,
	[Provotid_orsak] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Provotid_till] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Befattningskod] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Justering_TJAR] [float] NULL ,
	[Avtal] [smallint] NULL ,
	[Produkt] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens1] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens2] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens3] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens4] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens5] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens6] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens7] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens8] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens9] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens10] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens11] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackreferens12] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[STC_Typ] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Inplacering] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_ANSTALLNINGSTYP] (
	[Nummer] [int] NOT NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Konto] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kod] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Orsak] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_ARBETSPLATSER] (
	[Nummer] [char] (12) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kommunkod] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Svarskod] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Filler] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ansvarig] [int] NULL ,
	[Pensionskod] [char] (25) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ansvarig2] [int] NULL ,
	[Ansvarig3] [int] NULL ,
	[Ansvarig4] [int] NULL ,
	[Ansvarig5] [int] NULL ,
	[Avtal] [smallint] NULL ,
	[Ort] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Adress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Postadress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Telefon] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Statistikkod] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Bransch] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_ARSSTATISTIK] (
	[Personalnr] [int] NOT NULL ,
	[S01] [real] NULL ,
	[S02] [real] NULL ,
	[S03] [real] NULL ,
	[S04] [real] NULL ,
	[S05] [real] NULL ,
	[S06] [real] NULL ,
	[S07] [real] NULL ,
	[S08] [real] NULL ,
	[S09] [real] NULL ,
	[S10] [real] NULL ,
	[S11] [real] NULL ,
	[S12] [real] NULL ,
	[S13] [real] NULL ,
	[S14] [real] NULL ,
	[S15] [real] NULL ,
	[S16] [real] NULL ,
	[S17] [real] NULL ,
	[S18] [real] NULL ,
	[S19] [real] NULL ,
	[S20] [real] NULL ,
	[S21] [real] NULL ,
	[S22] [real] NULL ,
	[S23] [real] NULL ,
	[S24] [real] NULL ,
	[S25] [real] NULL ,
	[S26] [real] NULL ,
	[S27] [real] NULL ,
	[S28] [real] NULL ,
	[S29] [real] NULL ,
	[S30] [real] NULL ,
	[S31] [real] NULL ,
	[S32] [real] NULL ,
	[S33] [real] NULL ,
	[S34] [real] NULL ,
	[S35] [real] NULL ,
	[S36] [real] NULL ,
	[S37] [real] NULL ,
	[S38] [real] NULL ,
	[S39] [real] NULL ,
	[S40] [real] NULL ,
	[S41] [real] NULL ,
	[S42] [real] NULL ,
	[S43] [real] NULL ,
	[S44] [real] NULL ,
	[S45] [real] NULL ,
	[S46] [real] NULL ,
	[S47] [real] NULL ,
	[S48] [real] NULL ,
	[S49] [real] NULL ,
	[S50] [real] NULL ,
	[Filler] [char] (110) COLLATE Finnish_Swedish_CI_AS NULL ,
	[S100] [real] NULL ,
	[S101] [real] NULL ,
	[S102] [real] NULL ,
	[S103] [real] NULL ,
	[S104] [real] NULL ,
	[S105] [real] NULL ,
	[S106] [real] NULL ,
	[S107] [real] NULL ,
	[S108] [real] NULL ,
	[S109] [real] NULL ,
	[S110] [real] NULL ,
	[S111] [real] NULL ,
	[S112] [real] NULL ,
	[S113] [real] NULL ,
	[S114] [real] NULL ,
	[S115] [real] NULL ,
	[S116] [real] NULL ,
	[S117] [real] NULL ,
	[S118] [real] NULL ,
	[S119] [real] NULL ,
	[S120] [real] NULL ,
	[S121] [real] NULL ,
	[S122] [real] NULL ,
	[S123] [real] NULL ,
	[S124] [real] NULL ,
	[S125] [real] NULL ,
	[S126] [real] NULL ,
	[S127] [real] NULL ,
	[S128] [real] NULL ,
	[S129] [real] NULL ,
	[S130] [real] NULL ,
	[S131] [real] NULL ,
	[S132] [real] NULL ,
	[S133] [real] NULL ,
	[S134] [real] NULL ,
	[S135] [real] NULL ,
	[S136] [real] NULL ,
	[S137] [real] NULL ,
	[S138] [real] NULL ,
	[S139] [real] NULL ,
	[S140] [real] NULL ,
	[S141] [real] NULL ,
	[S142] [real] NULL ,
	[S143] [real] NULL ,
	[S144] [real] NULL ,
	[S145] [real] NULL ,
	[S146] [real] NULL ,
	[S147] [real] NULL ,
	[S148] [real] NULL ,
	[S149] [real] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_AUDIT] (
	[Anvandare] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Tid] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[IP] [char] (15) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Handelse] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Nr] [int] NULL ,
	[nDialog] [int] NULL ,
	[nID] [int] NULL ,
	[Tabell] [char] (40) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Nyckel] [char] (40) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Gammalt] [char] (64) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Nytt] [char] (64) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_AUTOMATLONER] (
	[Nummer] [int] NULL ,
	[Slagnr] [int] NULL ,
	[Villkor] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anm] [char] (250) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fordela] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Start] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Slut] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_AVDELNING] (
	[Nummer] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Konto] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ansvarig] [int] NULL ,
	[Ansvarig2] [int] NULL ,
	[Ansvarig3] [int] NULL ,
	[Ansvarig4] [int] NULL ,
	[Ansvarig5] [int] NULL ,
	[Statistikkod] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_BANK] (
	[Banknr] [smallint] NULL ,
	[Namn] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[BIC] [char] (15) COLLATE Finnish_Swedish_CI_AS NULL ,
	[IBAN] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kundnummer] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Filnamn] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[UNDERNUMMER] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_CERTIFIKAT] (
	[Certnr] [int] NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Filnamn] [char] (250) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Undernummer] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_EGEN_STATISTIK] (
	[Id] [char] (1) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Var39] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var40] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var41] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var42] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var43] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var44] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var45] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var46] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var47] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var48] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var89] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var90] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var91] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var92] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var93] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var94] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var95] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var96] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var97] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var98] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var99] [char] (23) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Filler] [char] (6) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_EGNA_LISTOR] (
	[Nummer] [int] NOT NULL ,
	[Namn] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ledtext] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ordning] [int] NULL ,
	[Typ] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_EPOST] (
	[Epostnr] [smallint] NOT NULL ,
	[Namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SERVER] [char] (64) COLLATE Finnish_Swedish_CI_AS NULL ,
	[PORT] [smallint] NULL ,
	[SECURE] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[AUTH] [smallint] NULL ,
	[ANVANDARE] [char] (64) COLLATE Finnish_Swedish_CI_AS NULL ,
	[LOSEN] [char] (64) COLLATE Finnish_Swedish_CI_AS NULL ,
	[AVSANDARE] [char] (64) COLLATE Finnish_Swedish_CI_AS NULL ,
	[MEDDELANDE] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KODNING] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_EXAMINA] (
	[Nummer] [int] NOT NULL ,
	[Persnr] [int] NULL ,
	[Datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Examina] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Langd] [int] NULL ,
	[Anm] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Typ] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_FACKFORBUND] (
	[Forbund] [char] (20) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Kod] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens1] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens2] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens3] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens4] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens5] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens6] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens7] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens8] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens9] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens10] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens11] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Referens12] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_FAMILJ] (
	[Familjenr] [smallint] NULL ,
	[Namn_svenska] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn_finska] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn_engelska] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Lonetyp] [smallint] NULL ,
	[Personalgrupp] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Avdelning] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Arbetsplats] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ort] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Formel] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Produkt] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Projekt] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_FJOLARSSTATISTIK] (
	[Personalnr] [int] NOT NULL ,
	[S01] [real] NULL ,
	[S02] [real] NULL ,
	[S03] [real] NULL ,
	[S04] [real] NULL ,
	[S05] [real] NULL ,
	[S06] [real] NULL ,
	[S07] [real] NULL ,
	[S08] [real] NULL ,
	[S09] [real] NULL ,
	[S10] [real] NULL ,
	[S11] [real] NULL ,
	[S12] [real] NULL ,
	[S13] [real] NULL ,
	[S14] [real] NULL ,
	[S15] [real] NULL ,
	[S16] [real] NULL ,
	[S17] [real] NULL ,
	[S18] [real] NULL ,
	[S19] [real] NULL ,
	[S20] [real] NULL ,
	[S21] [real] NULL ,
	[S22] [real] NULL ,
	[S23] [real] NULL ,
	[S24] [real] NULL ,
	[S25] [real] NULL ,
	[S26] [real] NULL ,
	[S27] [real] NULL ,
	[S28] [real] NULL ,
	[S29] [real] NULL ,
	[S30] [real] NULL ,
	[S31] [real] NULL ,
	[S32] [real] NULL ,
	[S33] [real] NULL ,
	[S34] [real] NULL ,
	[S35] [real] NULL ,
	[S36] [real] NULL ,
	[S37] [real] NULL ,
	[S38] [real] NULL ,
	[S39] [real] NULL ,
	[S40] [real] NULL ,
	[S41] [real] NULL ,
	[S42] [real] NULL ,
	[S43] [real] NULL ,
	[S44] [real] NULL ,
	[S45] [real] NULL ,
	[S46] [real] NULL ,
	[S47] [real] NULL ,
	[S48] [real] NULL ,
	[S49] [real] NULL ,
	[S50] [real] NULL ,
	[Filler] [char] (110) COLLATE Finnish_Swedish_CI_AS NULL ,
	[S100] [real] NULL ,
	[S101] [real] NULL ,
	[S102] [real] NULL ,
	[S103] [real] NULL ,
	[S104] [real] NULL ,
	[S105] [real] NULL ,
	[S106] [real] NULL ,
	[S107] [real] NULL ,
	[S108] [real] NULL ,
	[S109] [real] NULL ,
	[S110] [real] NULL ,
	[S111] [real] NULL ,
	[S112] [real] NULL ,
	[S113] [real] NULL ,
	[S114] [real] NULL ,
	[S115] [real] NULL ,
	[S116] [real] NULL ,
	[S117] [real] NULL ,
	[S118] [real] NULL ,
	[S119] [real] NULL ,
	[S120] [real] NULL ,
	[S121] [real] NULL ,
	[S122] [real] NULL ,
	[S123] [real] NULL ,
	[S124] [real] NULL ,
	[S125] [real] NULL ,
	[S126] [real] NULL ,
	[S127] [real] NULL ,
	[S128] [real] NULL ,
	[S129] [real] NULL ,
	[S130] [real] NULL ,
	[S131] [real] NULL ,
	[S132] [real] NULL ,
	[S133] [real] NULL ,
	[S134] [real] NULL ,
	[S135] [real] NULL ,
	[S136] [real] NULL ,
	[S137] [real] NULL ,
	[S138] [real] NULL ,
	[S139] [real] NULL ,
	[S140] [real] NULL ,
	[S141] [real] NULL ,
	[S142] [real] NULL ,
	[S143] [real] NULL ,
	[S144] [real] NULL ,
	[S145] [real] NULL ,
	[S146] [real] NULL ,
	[S147] [real] NULL ,
	[S148] [real] NULL ,
	[S149] [real] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_FORDELNING] (
	[Persnr] [int] NULL ,
	[Anstnr] [smallint] NOT NULL ,
	[Radnr] [int] NOT NULL ,
	[Procent] [float] NULL ,
	[Ftgkod] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[PKonto] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Akonto] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Arbetsplats] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Yrkesnummer] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Projekt] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Personalgrupp] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Avdelning] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Produkt] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Start] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Slut] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_FORETAGSUPPGIFTER] (
	[Id] [char] (1) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Foretagsnamn1] [char] (32) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Foretagsnamn2] [char] (32) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Adress] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Postadress] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Telefon] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Signum] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[BankensNamn] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[BankensNummer] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[AntalPerioder] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[RorligaPerSlag] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontrollsumma] [real] NULL ,
	[TELForsakringsnummer] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SSA] [real] NULL ,
	[Periodnr] [int] NULL ,
	[PeriodStartdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[PeriodSlutdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Utbetalningsdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Licensnamn] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kumulativ] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[MaxAntalLontagare] [int] NULL ,
	[Skrivarkoll] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Transaktionsskydd] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Loggniva] [int] NULL ,
	[Ftgkod] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skatteperiod] [int] NULL ,
	[Specvar1] [int] NULL ,
	[Specvar2] [int] NULL ,
	[Specvar3] [int] NULL ,
	[Specvar4] [int] NULL ,
	[Specvar5] [int] NULL ,
	[Specvar6] [int] NULL ,
	[Bisysslebeskattning] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Periodens_arbetsdagar] [real] NULL ,
	[Valuta] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SSAReferens] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[MotkontoKontering] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KontoSSA] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[MotkontoSSA] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KontoAPL] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[MotkontoAPL] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[ProcentAPL] [real] NULL ,
	[KontoSSA1] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[MotkontoSSA1] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[ProcentSSA1] [real] NULL ,
	[FilnamnBank] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[FilnamnBokf] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[APLForsakringsprocent] [real] NULL ,
	[KAPLForsakringsnummer] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KAPLForsakringsprocent] [real] NULL ,
	[FOPLForsakringsnummer] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[FOPLForsakringsprocent] [real] NULL ,
	[STPLForsakringsnummer] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[STPLForsakringsprocent] [real] NULL ,
	[KOPLForsakringsnummer] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KOPLForsakringsprocent] [real] NULL ,
	[KTAPLForsakringsnummer] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPLForsakringsprocent] [real] NULL ,
	[Zoom] [int] NULL ,
	[MotkontoNaturaforman] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semesterar] [smallint] NULL ,
	[APLBokforingsprocent] [float] NULL ,
	[APLBokforingskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[APLBokforingsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KAPLBokforingsprocent] [float] NULL ,
	[KAPLBokforingskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KAPLBokforingsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[FOPLBokforingsprocent] [float] NULL ,
	[FOPLBokforingskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[FOPLBokforingsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[STPLBokforingsprocent] [float] NULL ,
	[STPLBokforingskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[STPLBokforingsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KOPLBokforingsprocent] [float] NULL ,
	[KOPLBokforingskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KOPLBokforingsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPLBokforingsprocent] [float] NULL ,
	[KTAPLBokforingskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPLBokforingsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[APLSemesterskuldsprocent] [float] NULL ,
	[APLSemesterskuldskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[APLSemesterskuldsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KAPLSemesterskuldsprocent] [float] NULL ,
	[KAPLSemesterskuldskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KAPLSemesterskuldsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[FOPLSemesterskuldsprocent] [float] NULL ,
	[FOPLSemesterskuldskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[FOPLSemesterskuldsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[STPLSemesterskuldsprocent] [float] NULL ,
	[STPLSemesterskuldskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[STPLSemesterskuldsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KOPLSemesterskuldsprocent] [float] NULL ,
	[KOPLSemesterskuldskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KOPLSemesterskuldsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPLSemesterskuldsprocent] [float] NULL ,
	[KTAPLSemesterskuldskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KTAPLSemesterskuldsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SSASemesterskuldsprocent] [float] NULL ,
	[SSASemesterskuldskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SSASemesterskuldsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[OlycksfallSemesterskuldsprocent] [float] NULL ,
	[OlycksfallSemesterskuldskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[OlycksfallSemesterskuldsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Timmarkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Timmarmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Spectext] [char] (254) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Specvar1Format] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Specvar2Format] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Specvar3Format] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Specvar4Format] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Specvar5Format] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Specvar6Format] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SommarVinter] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[EnbartVardagar] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SjPLForsakringsnummer] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SjPLForsakringsprocent] [float] NULL ,
	[ArPLForsakringsnummer] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[ArPLForsakringsprocent] [float] NULL ,
	[UppdateraFranvaro] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SJPLBokforingsprocent] [float] NULL ,
	[SJPLBokforingskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SJPLBokforingsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[ArbetsloshetBokforingsprocent] [float] NULL ,
	[ArbetsloshetBokforingskonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[ArbetsloshetBokforingsmotkonto] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Franvaroformel] [char] (64) COLLATE Finnish_Swedish_CI_AS NULL ,
	[VaktaStat1] [int] NULL ,
	[VaktaStat2] [int] NULL ,
	[VaktaStat3] [int] NULL ,
	[VaktaStat4] [int] NULL ,
	[VaktaSlag1] [int] NULL ,
	[VaktaSlag2] [int] NULL ,
	[VaktaSlag3] [int] NULL ,
	[VaktaSlag4] [int] NULL ,
	[VaktaSlagAntal1] [int] NULL ,
	[VaktaSlagAntal2] [int] NULL ,
	[VaktaSlagAntal3] [int] NULL ,
	[VaktaSlagAntal4] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_FRANVARO] (
	[Persnr] [int] NULL ,
	[Radnr] [int] NULL ,
	[Status] [int] NULL ,
	[Kalla] [int] NULL ,
	[Startdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Slutdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Starttid] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Sluttid] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Loneslag] [smallint] NULL ,
	[Kod] [char] (20) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Period] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Nummer] [int] NULL ,
	[Tjanstear] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Pension] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semester] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Dagar] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Lon] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fortjansttecken] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Antal] [float] NULL ,
	[AntalBkp20071119] [int] NULL ,
	[Statistikkod] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Pensionskod] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Deltidsprocent] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_FRANVAROTYP] (
	[Kod] [char] (20) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Loneslag] [smallint] NULL ,
	[Tjanstear] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Pension] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semester] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Dagar] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Lon] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fortjansttecken] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Vikarie] [int] NULL ,
	[Pensionskod] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Matrikel] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Grans] [int] NULL ,
	[Sjukfranvaro] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_FRANVARO_MEMO] (
	[Persnr] [int] NULL ,
	[Radnr] [int] NULL ,
	[Info] [varchar] (4096) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_HISTORIK] (
	[Period] [char] (4) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Person] [int] NOT NULL ,
	[Arbetsplats] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ackord] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Loneslag] [int] NULL ,
	[Kontonummer] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Typ] [int] NOT NULL ,
	[Antal] [real] NULL ,
	[Summa] [real] NULL ,
	[Pensionstyp] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Nummer] [int] NOT NULL ,
	[Anstnr] [int] NULL ,
	[Fran_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Till_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anm] [char] (160) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Prestationsslag] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattetyp] [int] NULL ,
	[Ftgkod] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Yrkesnummer] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Personalgrupp] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Avdelning] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anvandare] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Tid] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Produkt] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_HISTORIK_ANST] (
	[Period] [char] (4) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Person] [int] NOT NULL ,
	[Arbetsplats] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ackord] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Loneslag] [int] NULL ,
	[Kontonummer] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Typ] [int] NOT NULL ,
	[Startslutdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Slutorsak] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Filler] [char] (72) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Manadslon] [float] NULL ,
	[Deltidsprocent] [float] NULL ,
	[Bruttolon] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_HISTORIK_BANK] (
	[Period] [char] (4) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Person] [int] NOT NULL ,
	[Arbetsplats] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ackord] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Loneslag] [int] NULL ,
	[Kontonummer] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Typ] [int] NOT NULL ,
	[Utbetalas] [real] NULL ,
	[Skattepliktigt] [real] NULL ,
	[Filler] [char] (67) COLLATE Finnish_Swedish_CI_AS NULL ,
	[MessageId] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Nummer] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_HISTORIK_PERIOD] (
	[Period] [char] (4) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Personnummer] [int] NOT NULL ,
	[Typ] [int] NULL ,
	[Fran_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Till_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Text1] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Text2] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_HJALPTEXT] (
	[nDLG] [int] NULL ,
	[nIDD] [int] NULL ,
	[Rubrik] [char] (64) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Hjalptext] [char] (250) COLLATE Finnish_Swedish_CI_AS NULL ,
	[nIkon] [int] NULL ,
	[Obl] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Aktiv] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_ISCO] (
	[Kod] [char] (6) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_KALENDER] (
	[Nummer] [int] NULL ,
	[Datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anm] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Aktiv] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Typ] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_KATRE_SLAG] (
	[Slagnr] [int] NULL ,
	[Namn] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Pension] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Olycksfall] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Arbetsloshet] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Sjukforsakring] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_KEDJELONESLAG] (
	[Loneslag] [int] NOT NULL ,
	[NyttLoneslag] [int] NOT NULL ,
	[Arbetsplats] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kommun] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ackord] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ordning] [int] NULL ,
	[Anm] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Faktor1] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Faktor2] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Faktor3] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Villkor] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Id] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_KOMMUNSTATISTIK] (
	[Personalnr] [int] NOT NULL ,
	[Kommunkod] [char] (3) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[S51] [real] NULL ,
	[S52] [real] NULL ,
	[S53] [real] NULL ,
	[S54] [real] NULL ,
	[S55] [real] NULL ,
	[S56] [real] NULL ,
	[S57] [real] NULL ,
	[S58] [real] NULL ,
	[S59] [real] NULL ,
	[S60] [real] NULL ,
	[S61] [real] NULL ,
	[S62] [real] NULL ,
	[S69] [real] NULL ,
	[S73] [real] NULL ,
	[S74] [real] NULL ,
	[S75] [real] NULL ,
	[S76] [real] NULL ,
	[Filler] [char] (59) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_LONEHANDELSELOGG] (
	[Personnummer] [int] NOT NULL ,
	[Loneslag] [int] NOT NULL ,
	[Loneperiod] [int] NOT NULL ,
	[Kontonummer] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Arbetsplats] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Antal] [real] NULL ,
	[Summa] [real] NULL ,
	[Kommun] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ackord] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Flagga] [int] NULL ,
	[Pensionstyp] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Nummer] [int] NULL ,
	[Anstnr] [int] NOT NULL ,
	[Fran_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Till_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anm] [char] (160) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Lopnummer] [int] NOT NULL ,
	[Prestationsslag] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattetyp] [int] NULL ,
	[Franvarokod] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ftgkod] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Yrkesnummer] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Personalgrupp] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Avdelning] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anvandare] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Tid] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fordela] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Produkt] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[DK] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semesterar] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_LONEHANDELSER] (
	[Personnummer] [int] NOT NULL ,
	[Loneslag] [int] NOT NULL ,
	[Loneperiod] [int] NOT NULL ,
	[Arbetsplats] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Antal] [real] NULL ,
	[Summa] [real] NULL ,
	[Kommun] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ackord] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Flagga] [int] NULL ,
	[Belopp] [real] NULL ,
	[Faktor] [real] NULL ,
	[Kontonummer] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Nummer] [int] NULL ,
	[Anstnr] [int] NULL ,
	[Fran_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Till_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anm] [char] (160) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ordning] [int] NULL ,
	[Skattetyp] [int] NULL ,
	[Id] [int] NULL ,
	[Andrad] [int] NULL ,
	[Kedja] [int] NULL ,
	[Kedjat] [int] NULL ,
	[Franvarokod] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ftgkod] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Yrkesnummer] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Personalgrupp] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Avdelning] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anvandare] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Tid] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fordela] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Egen_text] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Produkt] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[UID] [char] (40) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fil] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semesterar] [int] NULL ,
	[RPeriod] [int] NULL ,
	[Bankfil] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_LONESLAG] (
	[Nummer] [int] NULL ,
	[Filler1] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Lonesummanummer] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Automatinnehallning] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Faktor1] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Faktor2] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Faktor3] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Mangdstat1] [int] NULL ,
	[Mangdstat2] [int] NULL ,
	[Mangdstat3] [int] NULL ,
	[Mangdstat4] [int] NULL ,
	[Mangdstat5] [int] NULL ,
	[Mangdstat6] [int] NULL ,
	[Mangdstat7] [int] NULL ,
	[Mangdstat8] [int] NULL ,
	[Mangdstat9] [int] NULL ,
	[Mangdstat10] [int] NULL ,
	[Markstat1] [int] NULL ,
	[Markstat2] [int] NULL ,
	[Markstat3] [int] NULL ,
	[Markstat4] [int] NULL ,
	[Markstat5] [int] NULL ,
	[Markstat6] [int] NULL ,
	[Markstat7] [int] NULL ,
	[Markstat8] [int] NULL ,
	[Markstat9] [int] NULL ,
	[Markstat10] [int] NULL ,
	[Markstat11] [int] NULL ,
	[Markstat12] [int] NULL ,
	[Markstat13] [int] NULL ,
	[Markstat14] [int] NULL ,
	[Markstat15] [int] NULL ,
	[Namn_Finska] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Summera] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Mangdfaktor1] [real] NULL ,
	[Mangdfaktor2] [real] NULL ,
	[Mangdfaktor3] [real] NULL ,
	[Mangdfaktor4] [real] NULL ,
	[Mangdfaktor5] [real] NULL ,
	[Mangdfaktor6] [real] NULL ,
	[Mangdfaktor7] [real] NULL ,
	[Mangdfaktor8] [real] NULL ,
	[Mangdfaktor9] [real] NULL ,
	[Mangdfaktor10] [real] NULL ,
	[Markfaktor1] [real] NULL ,
	[Markfaktor2] [real] NULL ,
	[Markfaktor3] [real] NULL ,
	[Markfaktor4] [real] NULL ,
	[Markfaktor5] [real] NULL ,
	[Markfaktor6] [real] NULL ,
	[Markfaktor7] [real] NULL ,
	[Markfaktor8] [real] NULL ,
	[Markfaktor9] [real] NULL ,
	[Markfaktor10] [real] NULL ,
	[Markfaktor11] [real] NULL ,
	[Markfaktor12] [real] NULL ,
	[Markfaktor13] [real] NULL ,
	[Markfaktor14] [real] NULL ,
	[Markfaktor15] [real] NULL ,
	[Avrundning] [real] NULL ,
	[Datumkrav] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ordning] [int] NULL ,
	[Giltig_From] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Giltig_Tom] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Format] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ibruk] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn_Engelska] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Franvarokod] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Villkor] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Importsummering] [int] NULL ,
	[ImportAntalFranDatum] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[FranvaroAntalFranDatum] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Konteringskod] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[UndertryckOmNoll] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Statistikkod] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer2] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer2_Datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Matrikel] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Valideringsformel1] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Valideringsformel2] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Valideringsformel3] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Valideringsmeddelande1] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Valideringsmeddelande2] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Valideringsmeddelande3] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Valideringstyp1] [int] NULL ,
	[Valideringstyp2] [int] NULL ,
	[Valideringstyp3] [int] NULL ,
	[KatreSlag] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_MAKRON] (
	[Kod] [char] (10) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Typ] [smallint] NULL ,
	[Makrotext] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_OLYCKSFALLSKODER] (
	[Kod] [char] (6) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Procent] [float] NULL ,
	[EjAvgift] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_ORT] (
	[Nummer] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Konto] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Statistikkod] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_PERIODER] (
	[Nr] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fran_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Till_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Utbetalningsdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Manad] [int] NULL ,
	[SSA] [real] NULL ,
	[Oppen] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anm] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattedagar] [float] NULL ,
	[Bokforingsdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL,
	[Bokforingstid] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_PERIODSTATISTIK] (
	[Personalnr] [int] NOT NULL ,
	[S51] [real] NULL ,
	[S52] [real] NULL ,
	[S53] [real] NULL ,
	[S54] [real] NULL ,
	[S55] [real] NULL ,
	[S56] [real] NULL ,
	[S57] [real] NULL ,
	[S58] [real] NULL ,
	[S59] [real] NULL ,
	[S60] [real] NULL ,
	[S61] [real] NULL ,
	[S62] [real] NULL ,
	[S63] [real] NULL ,
	[S64] [real] NULL ,
	[S65] [real] NULL ,
	[S66] [real] NULL ,
	[S67] [real] NULL ,
	[S68] [real] NULL ,
	[S69] [real] NULL ,
	[S70] [real] NULL ,
	[S71] [real] NULL ,
	[S72] [real] NULL ,
	[S73] [real] NULL ,
	[S74] [real] NULL ,
	[S75] [real] NULL ,
	[S76] [real] NULL ,
	[S77] [real] NULL ,
	[S78] [real] NULL ,
	[S79] [real] NULL ,
	[S80] [real] NULL ,
	[S81] [real] NULL ,
	[S82] [real] NULL ,
	[S83] [real] NULL ,
	[S84] [real] NULL ,
	[S85] [real] NULL ,
	[S86] [real] NULL ,
	[S87] [real] NULL ,
	[S88] [real] NULL ,
	[S89] [real] NULL ,
	[S90] [real] NULL ,
	[S91] [real] NULL ,
	[S92] [real] NULL ,
	[S93] [real] NULL ,
	[S94] [real] NULL ,
	[S95] [real] NULL ,
	[S96] [real] NULL ,
	[S97] [real] NULL ,
	[S98] [real] NULL ,
	[Filler] [char] (126) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_PERSONAL] (
	[Personalgrupp] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Yrke] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Adress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Postadress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Signum] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fodelsekommun] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattekommun] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Bankens_namn] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Bankens_nummer] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Avdelningsnummer] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kon] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Pensionsorganisation] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattekommunens_nr] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattekod] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skatteavdrag] [real] NULL ,
	[Skatteavdragsperiod] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anst_borjade] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anst_slutade] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackanslutningsdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Yrkesnummer] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Klass] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Lonegrupp] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackforbund] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackforbund_avd] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackforbundsavg_proc] [real] NULL ,
	[Fackforbundsavg_mk] [real] NULL ,
	[Manadslon] [real] NULL ,
	[Manadslon_timkonst] [real] NULL ,
	[Naturaforman] [real] NULL ,
	[RTL] [real] NULL ,
	[GTL] [real] NULL ,
	[TTL] [real] NULL ,
	[MTL_1] [real] NULL ,
	[MTL_2] [real] NULL ,
	[MTL_3] [real] NULL ,
	[MTL_KV] [real] NULL ,
	[MTL_NV] [real] NULL ,
	[Arbetsplatsens_nr] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[OBS] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[MTL_AS] [real] NULL ,
	[MTL_AB] [real] NULL ,
	[APL_proc_LEL] [real] NULL ,
	[Sommar_proc] [real] NULL ,
	[Vinter_proc] [real] NULL ,
	[Arbetsnamn_KAPL] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semestermultiplik] [real] NULL ,
	[Ledig] [int] NULL ,
	[Automatlon_1] [int] NULL ,
	[Automatlon_2] [int] NULL ,
	[Automatlon_3] [int] NULL ,
	[Automatlon_4] [int] NULL ,
	[Automatlon_5] [int] NULL ,
	[Automatlon_6] [int] NULL ,
	[Automatlon_7] [int] NULL ,
	[Automatlon_8] [int] NULL ,
	[Automatlon_9] [int] NULL ,
	[Automatlon_10] [int] NULL ,
	[Automatskatt] [int] NULL ,
	[Automatfackavgift] [int] NULL ,
	[Semesterjustering_ny] [real] NULL ,
	[Loneper_forsta_dag] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Loneper_sista_dag] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Periodens_skattedgr] [int] NULL ,
	[Ack_skattedgr] [int] NULL ,
	[Ackumulerad_skatt] [real] NULL ,
	[Forsta_skattedag] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Automatpension] [int] NULL ,
	[Text1] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Text2] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Auto_arb_pens_avdrag] [int] NULL ,
	[Nummer] [int] NULL ,
	[Skattegrans_a] [real] NULL ,
	[Skatteproc_a] [real] NULL ,
	[Skattegrans_b] [real] NULL ,
	[Skatteproc_b] [real] NULL ,
	[Skattegrans_c] [real] NULL ,
	[Skatteproc_c] [real] NULL ,
	[Skattegrans_d] [real] NULL ,
	[Skatteproc_d] [real] NULL ,
	[Grundproc] [real] NULL ,
	[Tillaggsproc] [real] NULL ,
	[Arsgrans] [real] NULL ,
	[Totalt_skattepl] [real] NULL ,
	[Personligt_konto] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[OBS_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[OBS_text] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Sprak] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Slutorsak] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semesterlonetyp] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Prestationsslag] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Filler] [char] (202) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ack_skattedagar] [real] NULL ,
	[Prd_skattedagar] [real] NULL ,
	[Utskriven] [int] NULL ,
	[Epostadress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Bankens_nummer2] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer2] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fordelningstyp] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fordelning] [real] NULL ,
	[Land] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Lonebesked] [int] NULL ,
	[Coadress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Tjanstear_IB] [real] NULL ,
	[KS_Efternamn] [char] (70) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Fornamn] [char] (70) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Gatuadress] [char] (70) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Postnummer] [char] (9) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Stad] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Personbeteckning] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Landkod] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Land] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_SSAProcent] [real] NULL ,
	[Avslutad] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Info] [varchar] (4096) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semesterinfo] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semester_beraknad] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semester_betald] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[BIC] [char] (15) COLLATE Finnish_Swedish_CI_AS NULL ,
	[IBAN] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fortjansttecken_IB] [float] NULL ,
	[Anstnr] [smallint] NULL ,
	[Mobiltelefon] [char] (40) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anhorig_persnr] [int] NULL ,
	[Anhorig_namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anhorig_typ] [smallint] NULL ,
	[Anhorig_adress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anhorig_postadress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anhorig_telefon] [char] (25) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anhorig_telefon_arbete] [char] (25) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anhorig_mobil] [char] (25) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anhorig_epost] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[BIC2] [char] (15) COLLATE Finnish_Swedish_CI_AS NULL ,
	[IBAN2] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattenummer] [char] (15) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SkyddadIdentitet] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[IDM_KOD] [char] (40) COLLATE Finnish_Swedish_CI_AS NULL ,
	[UID] [char] (40) COLLATE Finnish_Swedish_CI_AS NULL ,
	[RFID] [char] (40) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Utmatningskonto] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Utmatningsreferens] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[SkyddatBelopp] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_PERSONALGRUPP] (
	[Nummer] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontering] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ansvarig1] [int] NULL ,
	[Ansvarig2] [int] NULL ,
	[Ansvarig3] [int] NULL ,
	[Ansvarig4] [int] NULL ,
	[Ansvarig5] [int] NULL ,
	[Skatteprocent] [float] NULL ,
	[Statistikkod] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_PERSONLIGA_SLAG] (
	[Persnr] [int] NULL ,
	[Anstnr] [int] NULL ,
	[Slagnr] [int] NULL ,
	[Fran_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Till_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anm] [char] (160) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Antal] [real] NULL ,
	[Belopp] [real] NULL ,
	[Summa] [real] NULL ,
	[Arbetsplats] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ursprung] [int] NULL ,
	[Start] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Slut] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Id] [int] NULL ,
	[Villkor] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fordela] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Extern_Id] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_PRODUKT] (
	[Nummer] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Konto] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ansvarig] [int] NULL ,
	[Ansvarig2] [int] NULL ,
	[Ansvarig3] [int] NULL ,
	[Ansvarig4] [int] NULL ,
	[Ansvarig5] [int] NULL ,
	[Statistikkod] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_PROJEKT] (
	[Nummer] [char] (12) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Konto] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ansvarig] [int] NULL ,
	[Ansvarig2] [int] NULL ,
	[Ansvarig3] [int] NULL ,
	[Ansvarig4] [int] NULL ,
	[Ansvarig5] [int] NULL ,
	[Statistikkod] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_REGISTRY] (
	[Nyckel] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Parameter] [char] (64) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Strangvarde] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Intvarde] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_SEMESTER] (
	[Personnr] [int] NOT NULL ,
	[Ar] [int] NOT NULL ,
	[Berakningsgrund] [int] NULL ,
	[Manadslon] [real] NULL ,
	[MTL_AS] [real] NULL ,
	[Faktor] [real] NULL ,
	[Sommarfaktor] [real] NULL ,
	[Sommardagar] [int] NULL ,
	[Sommarlon] [real] NULL ,
	[Sommarpremie] [real] NULL ,
	[Vinterdagar] [int] NULL ,
	[Vinterlon] [real] NULL ,
	[Vinterpremie] [real] NULL ,
	[Anstnr] [int] NOT NULL ,
	[Start] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Slut] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Franvaro] [real] NULL ,
	[Semestergrund] [float] NULL ,
	[Manader] [smallint] NULL ,
	[Dagslon] [float] NULL ,
	[Sommarprocent] [float] NULL ,
	[Vinterprocent] [float] NULL ,
	[Saldo] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_SEMESTERHISTORIKLOGG] (
	[Ar] [int] NULL ,
	[Persnr] [int] NOT NULL ,
	[Periodnr] [int] NOT NULL ,
	[Radnr] [int] NOT NULL ,
	[Lopnr] [int] NOT NULL ,
	[Antal] [float] NULL ,
	[Diff] [float] NULL ,
	[Flagga] [int] NULL ,
	[Tid] [char] (14) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_SEMESTER_MANAD] (
	[Semesterar] [smallint] NOT NULL ,
	[Persnr] [int] NULL ,
	[Anstnr] [smallint] NOT NULL ,
	[Manad] [smallint] NOT NULL ,
	[Franvaro] [float] NULL ,
	[Timmar] [float] NULL ,
	[Arbetsdagar] [float] NULL ,
	[Dagar] [float] NULL ,
	[Ratt] [float] NULL ,
	[Med] [smallint] NULL ,
	[Kommentar] [char] (250) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semestergrund] [float] NULL ,
	[DTP] [float] NULL ,
	[Lonetyp] [int] NULL ,
	[Semestertyp] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_SKATTEKOMMUN] (
	[Nummer] [char] (3) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Sprak] [char] (1) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_SKATTEKORT] (
	[Personalnr] [int] NOT NULL ,
	[Skattekortsnr] [int] NOT NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Giltig_from] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Giltig_tom] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Grundproc] [real] NULL ,
	[Tillaggsproc] [real] NULL ,
	[Arsgrans] [real] NULL ,
	[Skattegrans_a] [real] NULL ,
	[Skatteproc_a] [real] NULL ,
	[Skattegrans_b] [real] NULL ,
	[Skatteproc_b] [real] NULL ,
	[Skattegrans_c] [real] NULL ,
	[Skatteproc_c] [real] NULL ,
	[Skattegrans_d] [real] NULL ,
	[Skatteproc_d] [real] NULL ,
	[Totalt_skattepl] [real] NULL ,
	[Ackumulerad_skatt] [real] NULL ,
	[Forsta_skattedag] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ack_skattedagar] [real] NULL ,
	[Anm] [char] (60) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ibruk] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattear] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Typ] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattetyp] [int] NULL ,
	[SkattefriDel] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattenummer] [char] (15) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_STATISTIK_ANST] (
	[Persnr] [int] NULL ,
	[Anstnr] [int] NULL ,
	[S001] [float] NULL ,
	[S002] [float] NULL ,
	[S003] [float] NULL ,
	[S004] [float] NULL ,
	[S005] [float] NULL ,
	[S006] [float] NULL ,
	[S007] [float] NULL ,
	[S008] [float] NULL ,
	[S009] [float] NULL ,
	[S010] [float] NULL ,
	[S011] [float] NULL ,
	[S012] [float] NULL ,
	[S013] [float] NULL ,
	[S014] [float] NULL ,
	[S015] [float] NULL ,
	[S016] [float] NULL ,
	[S017] [float] NULL ,
	[S018] [float] NULL ,
	[S019] [float] NULL ,
	[S020] [float] NULL ,
	[S021] [float] NULL ,
	[S022] [float] NULL ,
	[S023] [float] NULL ,
	[S024] [float] NULL ,
	[S025] [float] NULL ,
	[S026] [float] NULL ,
	[S027] [float] NULL ,
	[S028] [float] NULL ,
	[S029] [float] NULL ,
	[S030] [float] NULL ,
	[S031] [float] NULL ,
	[S032] [float] NULL ,
	[S033] [float] NULL ,
	[S034] [float] NULL ,
	[S035] [float] NULL ,
	[S036] [float] NULL ,
	[S037] [float] NULL ,
	[S038] [float] NULL ,
	[S039] [float] NULL ,
	[S040] [float] NULL ,
	[S041] [float] NULL ,
	[S042] [float] NULL ,
	[S043] [float] NULL ,
	[S044] [float] NULL ,
	[S045] [float] NULL ,
	[S046] [float] NULL ,
	[S047] [float] NULL ,
	[S048] [float] NULL ,
	[S049] [float] NULL ,
	[S050] [float] NULL ,
	[S051] [float] NULL ,
	[S052] [float] NULL ,
	[S053] [float] NULL ,
	[S054] [float] NULL ,
	[S055] [float] NULL ,
	[S056] [float] NULL ,
	[S057] [float] NULL ,
	[S058] [float] NULL ,
	[S059] [float] NULL ,
	[S060] [float] NULL ,
	[S061] [float] NULL ,
	[S062] [float] NULL ,
	[S063] [float] NULL ,
	[S064] [float] NULL ,
	[S065] [float] NULL ,
	[S066] [float] NULL ,
	[S067] [float] NULL ,
	[S068] [float] NULL ,
	[S069] [float] NULL ,
	[S070] [float] NULL ,
	[S071] [float] NULL ,
	[S072] [float] NULL ,
	[S073] [float] NULL ,
	[S074] [float] NULL ,
	[S075] [float] NULL ,
	[S076] [float] NULL ,
	[S077] [float] NULL ,
	[S078] [float] NULL ,
	[S079] [float] NULL ,
	[S080] [float] NULL ,
	[S081] [float] NULL ,
	[S082] [float] NULL ,
	[S083] [float] NULL ,
	[S084] [float] NULL ,
	[S085] [float] NULL ,
	[S086] [float] NULL ,
	[S087] [float] NULL ,
	[S088] [float] NULL ,
	[S089] [float] NULL ,
	[S090] [float] NULL ,
	[S091] [float] NULL ,
	[S092] [float] NULL ,
	[S093] [float] NULL ,
	[S094] [float] NULL ,
	[S095] [float] NULL ,
	[S096] [float] NULL ,
	[S097] [float] NULL ,
	[S098] [float] NULL ,
	[S099] [float] NULL ,
	[S100] [float] NULL ,
	[S101] [float] NULL ,
	[S102] [float] NULL ,
	[S103] [float] NULL ,
	[S104] [float] NULL ,
	[S105] [float] NULL ,
	[S106] [float] NULL ,
	[S107] [float] NULL ,
	[S108] [float] NULL ,
	[S109] [float] NULL ,
	[S110] [float] NULL ,
	[S111] [float] NULL ,
	[S112] [float] NULL ,
	[S113] [float] NULL ,
	[S114] [float] NULL ,
	[S115] [float] NULL ,
	[S116] [float] NULL ,
	[S117] [float] NULL ,
	[S118] [float] NULL ,
	[S119] [float] NULL ,
	[S120] [float] NULL ,
	[S121] [float] NULL ,
	[S122] [float] NULL ,
	[S123] [float] NULL ,
	[S124] [float] NULL ,
	[S125] [float] NULL ,
	[S126] [float] NULL ,
	[S127] [float] NULL ,
	[S128] [float] NULL ,
	[S129] [float] NULL ,
	[S130] [float] NULL ,
	[S131] [float] NULL ,
	[S132] [float] NULL ,
	[S133] [float] NULL ,
	[S134] [float] NULL ,
	[S135] [float] NULL ,
	[S136] [float] NULL ,
	[S137] [float] NULL ,
	[S138] [float] NULL ,
	[S139] [float] NULL ,
	[S140] [float] NULL ,
	[S141] [float] NULL ,
	[S142] [float] NULL ,
	[S143] [float] NULL ,
	[S144] [float] NULL ,
	[S145] [float] NULL ,
	[S146] [float] NULL ,
	[S147] [float] NULL ,
	[S148] [float] NULL ,
	[S149] [float] NULL ,
	[S150] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_STATVARIABLER] (
	[Nr] [int] NOT NULL ,
	[Namn] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Enhet] [int] NULL ,
	[Nollas] [int] NULL ,
	[Per_kommun] [int] NULL ,
	[Namn_Finska] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn_Engelska] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_TABELL_CELLER] (
	[Tabnr] [int] NULL ,
	[Rad] [int] NULL ,
	[Kol] [int] NULL ,
	[Talvarde] [float] NULL ,
	[Strvarde] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_TABELL_HUVUD] (
	[Tabnr] [int] NULL ,
	[Namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anm] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Typ] [int] NULL ,
	[Tid] [int] NULL ,
	[Formel] [char] (80) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Alfa] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_URVAL] (
	[Nummer] [smallint] NOT NULL ,
	[Namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Var1] [smallint] NULL ,
	[Var2] [smallint] NULL ,
	[Var3] [smallint] NULL ,
	[Var4] [smallint] NULL ,
	[Var5] [smallint] NULL ,
	[Var6] [smallint] NULL ,
	[Var7] [smallint] NULL ,
	[Var8] [smallint] NULL ,
	[Var9] [smallint] NULL ,
	[Var10] [smallint] NULL ,
	[Var11] [smallint] NULL ,
	[Var12] [smallint] NULL ,
	[Var13] [smallint] NULL ,
	[Var14] [smallint] NULL ,
	[Var15] [smallint] NULL ,
	[Var16] [smallint] NULL ,
	[Var17] [smallint] NULL ,
	[Var18] [smallint] NULL ,
	[Var19] [smallint] NULL ,
	[Var20] [smallint] NULL ,
	[TextVar1] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar2] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar3] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar4] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar5] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar6] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar7] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar8] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar9] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar10] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar11] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar12] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar13] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar14] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar15] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar16] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar17] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar18] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar19] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[TextVar20] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_UTSKRIFTSJOBB] (
	[Jobbnr] [int] NOT NULL ,
	[Namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skrivare] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Sokvag] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Sluttid] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Antal] [int] NULL ,
	[Destination] [int] NULL ,
	[Format] [int] NULL ,
	[Period] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_UTSKRIFTSJOBB_RADER] (
	[Jobbnr] [int] NOT NULL ,
	[Radnr] [int] NOT NULL ,
	[Namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Filnamn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Format] [int] NULL ,
	[Destination] [int] NULL ,
	[Sokvag] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Parametrar] [char] (128) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Antal] [int] NULL ,
	[Period] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Epost] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_VARIABELNAMN] (
	[Id] [int] NOT NULL ,
	[Typ] [char] (1) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Variabelnamn] [char] (5) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ledtext] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ledtext_finska] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[BBI] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[LP_VARIABLER] (
	[Id] [int] NOT NULL ,
	[Typ] [char] (1) COLLATE Finnish_Swedish_CI_AS NOT NULL ,
	[Persnr] [int] NOT NULL ,
	[Anstnr] [int] NOT NULL ,
	[Varde] [real] NULL ,
	[Periodnr] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Results] (
	[Personalgrupp] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Namn] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Yrke] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Adress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Postadress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Signum] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fodelsekommun] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattekommun] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Bankens_namn] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Bankens_nummer] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Avdelningsnummer] [char] (16) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kon] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Pensionsorganisation] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattekommunens_nr] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skattekod] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Skatteavdrag] [real] NULL ,
	[Skatteavdragsperiod] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anst_borjade] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Anst_slutade] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackanslutningsdatum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Yrkesnummer] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Klass] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Lonegrupp] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackforbund] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackforbund_avd] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fackforbundsavg_proc] [real] NULL ,
	[Fackforbundsavg_mk] [real] NULL ,
	[Manadslon] [real] NULL ,
	[Manadslon_timkonst] [real] NULL ,
	[Naturaforman] [real] NULL ,
	[RTL] [real] NULL ,
	[GTL] [real] NULL ,
	[TTL] [real] NULL ,
	[MTL_1] [real] NULL ,
	[MTL_2] [real] NULL ,
	[MTL_3] [real] NULL ,
	[MTL_KV] [real] NULL ,
	[MTL_NV] [real] NULL ,
	[Arbetsplatsens_nr] [char] (12) COLLATE Finnish_Swedish_CI_AS NULL ,
	[OBS] [char] (24) COLLATE Finnish_Swedish_CI_AS NULL ,
	[MTL_AS] [real] NULL ,
	[MTL_AB] [real] NULL ,
	[APL_proc_LEL] [real] NULL ,
	[Sommar_proc] [real] NULL ,
	[Vinter_proc] [real] NULL ,
	[Arbetsnamn_KAPL] [char] (4) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semestermultiplik] [real] NULL ,
	[Ledig] [int] NULL ,
	[Automatlon_1] [int] NULL ,
	[Automatlon_2] [int] NULL ,
	[Automatlon_3] [int] NULL ,
	[Automatlon_4] [int] NULL ,
	[Automatlon_5] [int] NULL ,
	[Automatlon_6] [int] NULL ,
	[Automatlon_7] [int] NULL ,
	[Automatlon_8] [int] NULL ,
	[Automatlon_9] [int] NULL ,
	[Automatlon_10] [int] NULL ,
	[Automatskatt] [int] NULL ,
	[Automatfackavgift] [int] NULL ,
	[Semesterjustering_ny] [real] NULL ,
	[Loneper_forsta_dag] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Loneper_sista_dag] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Periodens_skattedgr] [int] NULL ,
	[Ack_skattedgr] [int] NULL ,
	[Ackumulerad_skatt] [real] NULL ,
	[Forsta_skattedag] [char] (10) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Automatpension] [int] NULL ,
	[Text1] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Text2] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Auto_arb_pens_avdrag] [int] NULL ,
	[Nummer] [int] NULL ,
	[Skattegrans_a] [real] NULL ,
	[Skatteproc_a] [real] NULL ,
	[Skattegrans_b] [real] NULL ,
	[Skatteproc_b] [real] NULL ,
	[Skattegrans_c] [real] NULL ,
	[Skatteproc_c] [real] NULL ,
	[Skattegrans_d] [real] NULL ,
	[Skatteproc_d] [real] NULL ,
	[Grundproc] [real] NULL ,
	[Tillaggsproc] [real] NULL ,
	[Arsgrans] [real] NULL ,
	[Totalt_skattepl] [real] NULL ,
	[Personligt_konto] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[OBS_datum] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[OBS_text] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Sprak] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Slutorsak] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semesterlonetyp] [char] (3) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Prestationsslag] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Filler] [char] (202) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Ack_skattedagar] [real] NULL ,
	[Prd_skattedagar] [real] NULL ,
	[Utskriven] [int] NULL ,
	[Epostadress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Bankens_nummer2] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer2] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fordelningstyp] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fordelning] [real] NULL ,
	[Land] [char] (30) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Lonebesked] [int] NULL ,
	[Coadress] [char] (50) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Tjanstear_IB] [real] NULL ,
	[KS_Efternamn] [char] (70) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Fornamn] [char] (70) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Gatuadress] [char] (70) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Postnummer] [char] (9) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Stad] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Personbeteckning] [char] (20) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Landkod] [char] (2) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_Land] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[KS_SSAProcent] [real] NULL ,
	[Avslutad] [char] (1) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Info] [varchar] (4096) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semesterinfo] [char] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semester_beraknad] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Semester_betald] [char] (8) COLLATE Finnish_Swedish_CI_AS NULL ,
	[BIC] [char] (15) COLLATE Finnish_Swedish_CI_AS NULL ,
	[IBAN] [char] (35) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Fortjansttecken_IB] [float] NULL ,
	[Anstnr] [smallint] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[namn] (
	[Nr] [int] NOT NULL ,
	[HENO] [float] NULL ,
	[Namn] [nvarchar] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Adress] [nvarchar] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Postadress] [nvarchar] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Signum] [nvarchar] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Befattning] [nvarchar] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Bank] [nvarchar] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Banknummer] [nvarchar] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Kontonummer] [nvarchar] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Start] [float] NULL ,
	[Slut] [float] NULL ,
	[Yrkeskod] [float] NULL ,
	[Tel] [nvarchar] (255) COLLATE Finnish_Swedish_CI_AS NULL ,
	[Plats] [float] NULL 
) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_ANSTALLNING]([Persnr], [Anstnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_ANSTALLNINGSTYP]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [Index0] ON [dbo].[LP_ARBETSPLATSER]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [Index0] ON [dbo].[LP_ARSSTATISTIK]([Personalnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_AUDIT]([Anvandare], [Tid], [IP], [Nr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_AUTOMATLONER]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_AVDELNING]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_BANK]([Banknr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_CERTIFIKAT]([Certnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_EGEN_STATISTIK]([Id]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_EGNA_LISTOR]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_EPOST]([Epostnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_FACKFORBUND]([Forbund]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_FAMILJ]([Familjenr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_FJOLARSSTATISTIK]([Personalnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_FORDELNING]([Persnr], [Anstnr], [Radnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_FORETAGSUPPGIFTER]([Id]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_FRANVARO]([Persnr], [Radnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_FRANVAROTYP]([Kod]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_FRANVARO_MEMO]([Persnr], [Radnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [Index0] ON [dbo].[LP_HISTORIK]([Period], [Person], [Typ], [Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [Index0] ON [dbo].[LP_HISTORIK_ANST]([Period], [Person], [Typ]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [Index0] ON [dbo].[LP_HISTORIK_BANK]([Period], [Person], [Typ]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_HISTORIK_PERIOD]([Period], [Personnummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_HJALPTEXT]([nDLG], [nIDD]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_ISCO]([Kod]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_KALENDER]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_KATRE_SLAG]([Slagnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_KEDJELONESLAG]([Loneslag], [NyttLoneslag], [Id]) ON [PRIMARY]
GO

 CREATE  INDEX [Index_id] ON [dbo].[LP_KEDJELONESLAG]([Id]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [Index0] ON [dbo].[LP_KOMMUNSTATISTIK]([Personalnr], [Kommunkod]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [Index0] ON [dbo].[LP_LONEHANDELSELOGG]([Personnummer], [Loneslag], [Loneperiod], [Lopnummer]) ON [PRIMARY]
GO

 CREATE  INDEX [Index1] ON [dbo].[LP_LONEHANDELSELOGG]([Arbetsplats], [Loneslag]) ON [PRIMARY]
GO

 CREATE  INDEX [Lopnr] ON [dbo].[LP_LONEHANDELSELOGG]([Lopnummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_LONEHANDELSER]([Personnummer], [Loneslag], [Loneperiod], [Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_LONESLAG]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_MAKRON]([Kod]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_OLYCKSFALLSKODER]([Kod]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_ORT]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_PERIODER]([Nr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_PERIODSTATISTIK]([Personalnr]) ON [PRIMARY]
GO

 CREATE  INDEX [Index1] ON [dbo].[LP_PERSONAL]([Namn]) ON [PRIMARY]
GO

 CREATE  INDEX [Index2] ON [dbo].[LP_PERSONAL]([Fackforbund], [Namn]) ON [PRIMARY]
GO

 CREATE  INDEX [Index3] ON [dbo].[LP_PERSONAL]([Yrke], [Namn]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_PERSONAL]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_PERSONALGRUPP]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_PERSONLIGA_SLAG]([Persnr], [Anstnr], [Slagnr]) ON [PRIMARY]
GO

 CREATE  INDEX [Index_Id] ON [dbo].[LP_PERSONLIGA_SLAG]([Id]) ON [PRIMARY]
GO

 CREATE  UNIQUE INDEX [PrimaryKey] ON [dbo].[LP_PRODUKT]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_PROJEKT]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_REGISTRY]([Nyckel], [Parameter]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_SEMESTER]([Ar], [Personnr], [Anstnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_SEMESTERHISTORIKLOGG]([Ar], [Persnr], [Radnr], [Lopnr], [Periodnr], [Tid]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_SEMESTER_MANAD]([Semesterar], [Persnr], [Anstnr], [Manad]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_SKATTEKOMMUN]([Nummer], [Sprak]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_SKATTEKORT]([Personalnr], [Skattekortsnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_STATISTIK_ANST]([Persnr], [Anstnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_STATVARIABLER]([Nr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_TABELL_CELLER]([Tabnr], [Rad], [Kol]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_TABELL_HUVUD]([Tabnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_URVAL]([Nummer]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_UTSKRIFTSJOBB]([Jobbnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_UTSKRIFTSJOBB_RADER]([Jobbnr], [Radnr]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_VARIABELNAMN]([Id], [Typ]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [PrimaryKey] ON [dbo].[LP_VARIABLER]([Id], [Typ], [Persnr], [Anstnr]) ON [PRIMARY]
GO



UPDATE LP_FORETAGSUPPGIFTER SET Id='e'
GO

